Subject: RE: [PCN] charter text update

From: "Geib, Ruediger" <[email-masked]>
Date: Thu, 1 Feb 2007 08:50:39 +0100

Lars,

I think we are rather close. Your remarks and the text you suggest 
say, that the use of flow admission does not require the use 
of preemption. If that statement is strong enough to ensure, that 
an operator is able to activate "PCN flow admission" on a 
PCN compliant router without by that automatically turning on 
"PCN preemption" and no chance to disable the latter, then I'm fine.

With other words, would your proposed reworded charter statement 
mean that

"..., and the use of one does not require..."

expresses

"..., and the use of one must not require..." ?

If not, I'd be happier with the latter version.

Regards,

Ruediger

|the recent emails by Ken, Phil and you helped a lot. I think we  
|actually may be in agreement.
|
|On 2007-1-31, at 16:39, ext Geib, Ruediger wrote:
|> what you say is that "preemption" must not be the only reaction
|> specified by PCN once an ingress edge router determines that
|> the path to a particular egress router reached
|> congestion/preemption state?
|>
|> If yes, I agree. Would the charter have to say so or should
|> this be a design constraint to be kept in mind when drafting
|> standards?
|
|The charter already allows a reaction other than preemption, namely,  
|to prevent admission of new flows. Additionally, there was some  
|discussion around having a rate-adaptation reaction function.
|
|Would a slightly-reworded statement taken from an earlier version of  
|the charter help:
|
|	Although designed to work together, flow admission and
|	flow preemption are independent mechanisms, and the use
|	of one does not require or prevent the use of the other.
|
|> The minimum requirement may be to demand that the deactivation
|> of a preemption mechanism must be possible (the PCN domain
|> would then always interpret congestion marks in the same way as
|> pre-congestion marks ).
|
|There seems to be an unstated assumption here that congestion marks  
|will always lead to preemption, while pre-congestion marks will lead  
|to admission decisions. This is not so - the current charter allows  
|different policies, i.e., meaning decision algorithms that take  
|congestion and pre-congestion markers as input and produce preemption  
|and admission decisions on the set of flows as an output.

_______________________________________________
PCN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pcn

---

From: Lars Eggert <[email-masked]>
Date: Thu, 1 Feb 2007 11:46:51 +0200

> "PCN preemption" and no chance to disable the latter, then I'm fine.

I don't understand "no chance to disable the latter", the latter  
being preemption - do you mean "the former?" If yes, I agree.

> If not, I'd be happier with the latter version.

It actually says "does not require or prevent the use of the other",  
meaning a domain is free to use either one of the two, or any  
combination of the two.

Lars

---

From: "Geib, Ruediger" <[email-masked]>
Date: Thu, 1 Feb 2007 10:52:40 +0100

Hi Lars,

|On 2007-2-1, at 9:50, ext Geib, Ruediger wrote:
|> I think we are rather close. Your remarks and the text you suggest
|> say, that the use of flow admission does not require the use
|> of preemption. If that statement is strong enough to ensure, that
|> an operator is able to activate "PCN flow admission" on a
|> PCN compliant router without by that automatically turning on
|> "PCN preemption" and no chance to disable the latter, then I'm fine.
|
|I don't understand "no chance to disable the latter", the latter  
|being preemption - do you mean "the former?" If yes, I agree.
|
|> With other words, would your proposed reworded charter statement
|> mean that
|>
|> "..., and the use of one does not require..."
|>
|> expresses
|>
|> "..., and the use of one must not require..." ?
|>
|> If not, I'd be happier with the latter version.
|
|It actually says "does not require or prevent the use of the other",  
|meaning a domain is free to use either one of the two, or any  
|combination of the two.

Thanks for clarifying. Your proposed charter rewording is allright 
with me.

Regards,

Ruediger